Name:           redbutton-browser
Version:        20091202
Release:        %mkrel 6
Group:          Development/Other 
License:        GPLv2+
Summary:        Redbutton browser for MHEG5 content
Source:         redbutton-browser-%{version}.tar.gz
Patch0:	        redbutton-browser-20091202-lib64swscale.patch
Patch1:		redbutton-browser-20091202-ffmpeg0.8.patch
Patch2:		redbutton-browser-20091202-ffmpeg0.11.patch
Patch3:		redbutton-browser-20091202-link.patch
URL:            http://redbutton.sourceforge.net/
BuildRequires:  ffmpeg-devel
BuildRequires:  libexpat-devel
BuildRequires:  libxrender-devel
BuildRequires:  libxft-devel
BuildRequires:  libpng-devel
BuildRequires:	libxt-devel
BuildRequires:  xsltproc

%description
This package provides a browser for MHEG5, which is used to make
user interface on TVs.
It is part of the redbutton tools suite.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
make CFLAGS="%optflags %ldflags"

%install
mkdir -p %buildroot%_bindir
#make install DESTDIR=%buildroot # happens "/bin" to DESTDIR
install -m 755 rb-browser %buildroot%_bindir
install -m 755 rb-keymap %buildroot%_bindir

%files
%_bindir/rb-browser
%_bindir/rb-keymap


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 20091202-6.mga3
+ Revision: 380269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 20091202-5.mga3
+ Revision: 341742
- rebuild for new ffmpeg

* Sun Jun 03 2012 fwang <fwang> 20091202-4.mga3
+ Revision: 253556
- more linkage fix
- fix linkage
- fix build with latest ffmpeg

* Mon Sep 19 2011 fwang <fwang> 20091202-4.mga2
+ Revision: 145244
- rebuild for new libpng

* Sat Jun 25 2011 fwang <fwang> 20091202-3.mga2
+ Revision: 113502
- fix build with ffmpeg 0.8
- add br
- rebuild for new ffmpeg

* Sun Apr 17 2011 ofaurax <ofaurax> 20091202-2.mga1
+ Revision: 86898
- imported package redbutton-browser

